Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513054 - Delete /var/lib/dockershim/sandbox/* after drain when upgrading from 3.6
Summary: Delete /var/lib/dockershim/sandbox/* after drain when upgrading from 3.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.7.0
Assignee: Scott Dodson
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 16:32 UTC by Eric Paris
Modified: 2018-02-05 20:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
no doctext
Clone Of:
Environment:
Last Closed: 2017-12-18 13:23:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3464 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.7 bug fix and enhancement update 2017-12-18 18:22:05 UTC

Description Eric Paris 2017-11-14 16:32:45 UTC
We know that 3.6 is capable of creating bad files in /var/lib/dockershim/sandbox. After we drain a node in preparation to upgrade we should delete all of those files (on a well behaved system there would not be any such files after a drain).

A future 3.7.z version of openshift will correctly clean those files up themselves. However this is needed to clean up after 3.6 when running 3.7.4 (the GA version).

Comment 3 liujia 2017-11-15 10:25:56 UTC
Verified on openshift-ansible-3.7.8-1.git.0.9a3db79.el7.noarch.

Monitor /var/lib/dockershim/sandbox/ directory during upgrade v3.6 to v3.7, the files in the directory will be cleaned up after drain node. And new files will be created when new pod created.

Comment 6 errata-xmlrpc 2017-12-18 13:23:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3464


Note You need to log in before you can comment on or make changes to this bug.